@font-face {
  font-family: pixel-digivolve-cyrillic;
  src: url(/pixel-digivolve-cyrillic.otf);
}

@keyframes cursor {
  0% {
    cursor: url(/websites/cyberpunk/assets/images/cursor-frame-1.png) 0 0, auto;
  }
  33% {
    cursor: url(/websites/cyberpunk/assets/images/cursor-frame-2.png) 0 0, auto;
  }
  66% {
    cursor: url(/websites/cyberpunk/assets/images/cursor-frame-3.png) 0 0, auto;
  }
  100% {
    cursor: url(/websites/cyberpunk/assets/images/cursor-frame-4.png) 0 0, auto;
  }
}

@keyframes color-pulse {
  0% {
    color: var(--color-cyan);
    text-shadow: 0 0 10px var(--color-cyan);
  }
  25% {
    color: var(--color-gray);
    text-shadow: none;
  }
  40% {
    color: var(--color-cyan);
    text-shadow: 0 0 10px var(--color-cyan);
  }
  45% {
    color: var(--color-gray);
    text-shadow: none;
  }
  50% {
    color: var(--color-cyan);
    text-shadow: 0 0 10px var(--color-cyan);
  }
  70% {
    color: var(--color-gray);
    text-shadow: none;
  }
  100% {
    color: var(--color-cyan);
    text-shadow: 0 0 10px var(--color-cyan);
  }
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
  font-family: pixel-digivolve-cyrillic, sans-serif;
  font-size: 16px;
  font-weight: 400;
  color: var(--color-cyan);
  cursor: url(/websites/cyberpunk/assets/images/cursor-frame-1.png) 0 0, auto;
  animation: cursor 400ms infinite;
}

html {
  --size-border-radius: 10px;
  --size-links-gap: 3px;
  --color-black: #000;
  --color-blue: #133e7c;
  --color-cyan: #0abdc6;
  --color-cyan-alpha-40: #0abdc640;
  --color-gray: #777;
  --color-pink: #ea00d9;
  --color-purple: #711c91;
  --color-red: #f96363;
  --color-red-alpha-40: #f9636340;
  --color-white: #fff;
  --color-yellow: #f3e600;

  &:has(.page_music) {
    &,
    body,
    .page_music,
    .page__content {
      height: 100%;
    }
  }
}

body {
  background-color: var(--color-black);
}

a {
  text-decoration: none;
}

button {
  border: 0;
  background-color: transparent;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  padding: 0;
  margin: -1px;
  border: 0;
  white-space: nowrap;
  overflow: hidden;
  -webkit-clip-path: inset(50%);
  clip-path: inset(50%);
  clip: rect(1px, 1px, 1px, 1px);
}

.loader {
  position: relative;
  color: var(--color-gray);

  &::before {
    content: 'Loading...';
    position: absolute;
    top: 100px;
    left: 50%;
    z-index: -1;
    transform: translateX(-50%);
  }
}

.flex {
  display: flex;
}

.align-baseline {
  align-items: baseline;
}

.font-size-0 {
  font-size: 0;
}

.page {
  width: 100%;
  max-width: 1000px;
  margin-inline: auto;
  padding: 32px 16px;

  @media (width <= 888px) {
    padding-top: 50px;
  }
}

.page_main {
  @media (width > 888px) {
    padding-top: 70px;
  }

  @media (width <= 888px) {
    padding-bottom: 140px;
  }
}

.page__content {
  display: grid;
  grid-template-columns: 218px 1fr;
  gap: 32px;

  @media (width <= 888px) {
    grid: none;
  }
}

.text {
  margin-bottom: 16px;

  &:not(:first-child) {
    margin-top: 32px;
  }
}

.text_center {
  text-align: center;
}

.text_title {
  font-size: 20px;
}

.gap-top-16 {
  margin-top: 16px;
}

.gap-top-100 {
  margin-top: 100px;
}

.link {
  display: block;
  padding: 4px 8px;
  border: 1px solid var(--color-red);
  color: var(--color-red);

  & + & {
    margin-top: var(--size-links-gap);
  }

  &:hover,
  &:focus-visible {
    color: var(--color-black);
    background-color: var(--color-red);
  }
}

.link_inline {
  display: inline-block;
  margin-right: var(--size-links-gap);
}

.card {
  border: 1px solid var(--color-red);
}

.card_image {
  width: 100%;
  vertical-align: top;
  aspect-ratio: 4 / 3;
  object-fit: cover;
}

.card_content {
  padding: 16px;
}

.grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 16px;

  @media (width <= 500px) {
    grid-template-columns: 1fr;
  }
}

.menu {
  position: sticky;
  top: 32px;
  height: fit-content;

  @media (width <= 888px) {
    display: none;
  }
}

.menu_active {
  position: fixed;
  inset: 0;
  z-index: 1;
  display: block;
  height: 100%;
  padding: 50px 16px 16px;
  overflow-y: scroll;
  background-color: var(--color-black);
}

.menu__item {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 44px;
  border: 1px solid transparent;
  border-bottom-right-radius: var(--size-border-radius);
  corner-shape: bevel;
  line-height: 42px;
  color: var(--color-gray);
  text-decoration: none;
  transition: all 0.2s;

  & + & {
    margin-top: 8px;
  }

  &:hover:not(.menu__item_active),
  &:focus-visible:not(.menu__item_active) {
    padding-inline: 16px;
    border-left-width: 7px;
    border-color: var(--color-red);
    color: var(--color-red);
    background-color: var(--color-red-alpha-40);
  }

  @media (width <= 888px) {
    padding-inline: 16px;
    border-left-width: 7px;
    border-color: var(--color-red);
    color: var(--color-red);
    background-color: var(--color-red-alpha-40);
  }
}

.menu__item_active {
  padding-inline: 16px;
  border-left-width: 7px;
  border-color: var(--color-cyan);
  color: var(--color-cyan);
  background-color: var(--color-cyan-alpha-40);
}

.menu__last-item {
  display: inline-block;
  margin-top: 16px;
  font-size: 20px;
  color: var(--color-cyan);

  &:hover,
  &:focus-visible {
    animation: color-pulse 1s forwards;
  }
}

.menu-toggler {
  position: fixed;
  top: 0;
  right: 0;
  z-index: 2;
  display: none;
  padding: 16px;
  line-height: 1;
  color: var(--color-gray);

  @media (width <= 888px) {
    display: inline-block;
  }
}
